cDestroy(3)

NAME
cDestroy - destroy a condition variable.

SYNOPSIS
#include <util/ulocks.h> void cDestroy(pthread_cond_t *cond);

ARGUMENTS
cond - condition variable to destroy.

DESCRIPTION
Destroys the condition variable <cond> that was initialized by cCreate(). MT-Level: Safe for unique <cond>.

RETURN VALUE
None.

SEE ALSO
mCreate(3), fCreate(3), mUnlock(3), fUnlock(3), cBroadcast(3), cSignal(3), fFind(3), cDestroy(3), cCreate(3), mDestroy(3), cWait(3), fLock(3), fDestroy(3), mLock